Enable a Webhook Endpoint
curl --request POST \
--url https://public-api.stora.co/2025-09/webhook_endpoints/{webhook_endpoint_id}/enable \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/webhook_endpoints/{webhook_endpoint_id}/enable"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/webhook_endpoints/{webhook_endpoint_id}/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoint": {
"id": "we_195h6kfm9ro15lof",
"api_version": "2025-09",
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "staff_06778802edebb94d"
},
"description": "Test webhook endpoint",
"disabled_at": null,
"event_types": [
"credit_note.created"
],
"metadata": {},
"name": "My Webhook",
"secret": null,
"status": "enabled",
"updated_at": "2025-02-22T14:41:00Z",
"url": "https://example.com/webhook"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}{
"error": {
"code": "forbidden",
"details": [],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "This webhook endpoint is managed by Zapier and cannot be modified through this access token",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}{
"error": {
"code": "resource_not_found",
"details": [],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The Webhook/Endpoint was not found.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}Webhook Endpoints
Enable a Webhook Endpoint
Enable a webhook endpoint.
Required authorization scope: public.webhook_endpoint:write
POST
/
2025-09
/
webhook_endpoints
/
{webhook_endpoint_id}
/
enable
Enable a Webhook Endpoint
Authorizations
BearerOAuth2
Bearer Token necessary to use API
Path Parameters
The ID of the webhook endpoint to enable
Was this page helpful?
⌘I